---
title: 410 Gone
slug: Web/HTTP/Status/410
tags:
  - Client error
  - HTTP
  - Reference
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HyperText Transfer Protocol (HTTP) <code><strong>410 Gone</strong></code> client error response code indicates that access to the target resource is no longer available at the origin server and that this condition is likely to be permanent.</p>

<p>If you don't know whether this condition is temporary or permanent, a {{HTTPStatus(404)}} status code should be used instead.</p>

<div class="note">
<p><strong>Note:</strong> A 410 response is cacheable by default.</p>
</div>

<h2 id="Status">Status</h2>

<pre class="syntaxbox notranslate">410 Gone</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Title</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{RFC("7231", "410 Gone" , "6.5.9")}}</td>
			<td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The information shown below has been pulled from MDN's GitHub (<a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a>).</p>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.status.410")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{HTTPStatus(404)}}</li>
	<li><a href="https://www.exai.com/blog/410-gone-client-error">410 gone</a></li>
</ul>
